FinWise API
SupportChangelog

List balances

List snapshots.

Query parameters

filtersnullable object
JSON object, passed as a query-string value.
accountIdnullable string
Single account.
accountIdsnullable array of strings
Several accounts.
fromDatenullable string
Inclusive start.
toDatenullable string
Inclusive end.
paginationnullable object
JSON object with pageNumber and pageSize.
pageNumbernullable number
1-based page. Defaults to 1.
pageSizenullable number
Items per page. Defaults to 100.
GET/account-balances?filters={"accountId":"94d2f962-d4e3-4c99-ab47-8c941cea012a"}
curl https://api.finwiseapp.io/account-balances?filters={"accountId":"94d2f962-d4e3-4c99-ab47-8c941cea012a"} \
-X GET \
-H "Authorization: Bearer fw_..." \
-H "Content-Type: application/json"
const response = await fetch('https://api.finwiseapp.io/account-balances?filters={"accountId":"94d2f962-d4e3-4c99-ab47-8c941cea012a"}', {
method: 'GET',
headers: {
Authorization: 'Bearer fw_...',
'Content-Type': 'application/json',
},
})
const data = await response.json()
Response
[
{
"id": "b8cb6f04-2f2b-440a-a55f-6708ebb57130",
"createdAt": "2026-03-14T09:15:46.728Z",
"updatedAt": "2026-03-14T09:15:46.728Z",
"accountId": "94d2f962-d4e3-4c99-ab47-8c941cea012a",
"date": "2026-03-14T09:15:46.724Z",
"amount": {
"amount": -3432,
"currencyCode": "USD"
},
"userId": "f472696c-47ac-4873-98cf-2a1069a1cf45",
"type": "manual",
"isManual": true,
"archivedAt": null,
"dataImportId": null,
"accountHoldingId": null,
"originalAccountId": null
}
]